BookingCustomQuestion の作成
名前空間: microsoft.graph
新しい bookingCustomQuestion オブジェクトを作成 します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | BookingsAppointment.ReadWrite.All, Bookings.ReadWrite.All, Bookings.Manage.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | サポートされていません。 |
HTTP 要求
POST /solutions/bookingBusinesses/{bookingBusinessesId}/customQuestions
要求ヘッダー
| 名前 | 説明 |
|---|---|
| Authorization | ベアラー {token}。必須。 |
| Content-Type | application/json. Required. |
要求本文
要求本文で 、bookingCustomQuestion オブジェクトの JSON 表記を指定します。
bookingCustomQuestion を作成するときに、次のプロパティを指定できます。
| プロパティ | 種類 | 説明 |
|---|---|---|
| answerInputType | answerInputType | 予想される回答の種類。 使用可能な値: text、radioButton、unknownFutureValue。 省略可能。 |
| answerOptions | String コレクション | 可能な回答の値の一覧。 省略可能。 |
| displayName | String | 質問。 必須です。 |
応答
成功した場合、このメソッドは応答コードと、応答本文 201 Created の bookingCustomQuestion オブジェクトを返します。
例
要求
POST https://graph.microsoft.com/v1.0/solutions/bookingBusinesses/Contosolunchdelivery@contoso.onmicrosoft.com/customQuestions/
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.bookingCustomQuestion",
"displayName": "What is your age?",
"answerInputType": "text",
"answerOptions" : []
}
応答
注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。
HTTP/1.1 201 Created
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.bookingCustomQuestion",
"id": "3bc6fde0-4ad3-445d-ab17-0fc15dba0774",
"displayName": "What is your age?",
"answerInputType": "text",
"answerOptions": [],
}
フィードバック
フィードバックの送信と表示